#116 Compiled with a gcc version 2 compiler? Edit

open
Rui Sousa
5
2012-07-08
2003-05-02
damian
No

I've followed all the instructions the best I can, and
searched around everywhere to try to get my sound card
working with no luck. It is a sound blaster live value
card. Red Hat 8.0. Here is the error that is
displayed when I modprobe emu10k1 (I am a newbie so
keep that in mind...thanks for any help):

/sbin/modprobe emu10k1
/lib/modules/2.4.18-14/kernel/drivers/sound/emu10k1/emu10k1.o:
The module you are trying to load
(/lib/modules/2.4.18-14/kernel/drivers/sound/emu10k1/emu10k1.o)
is compiled with a gcc
version 2 compiler, while the kernel you are running is
compiled with
a gcc version 3 compiler. This is known to not work.
/lib/modules/2.4.18-14/kernel/drivers/sound/emu10k1/emu10k1.o:
insmod
/lib/modules/2.4.18-14/kernel/drivers/sound/emu10k1/emu10k1.o
failed
/lib/modules/2.4.18-14/kernel/drivers/sound/emu10k1/emu10k1.o:
insmod emu10k1 failed

Discussion


Anonymous


Cancel   Add attachments